Subject: bug#7728: 24.0.50; GDB backtrace from abort

From: "Drew Adams" <[email-masked]>
Date: Fri, 14 Jan 2011 00:58:23 -0800

> `save-window-excursion' is the macro never to use.  It should
> be used exclusively for debugging and prototyping.  Application 
> programmers who prefer to work with multiple frames themselves
> should know best and avoid `save-window-excursion' like the
> plague.  At least in "released" code.  Anything else is
> masochism.

Unbelievable language.  What dogmatism.  What hyperbole.  One can only hope that
the same swashbuckling, slash-and-burn attitude is not taken when you modify the
code.

I wonder how that particular plague escaped the attention of Richard et al for
35 years?  It's a wonder that it was ever documented, except perhaps as a mortal
danger.